// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		4F11AB9F2553237C00A06098 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4F11AB9E2553237C00A06098 /* AppDelegate.swift */; };
		4F11ABA12553237C00A06098 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4F11ABA02553237C00A06098 /* SceneDelegate.swift */; };
		4F11ABA62553237C00A06098 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 4F11ABA42553237C00A06098 /* Main.storyboard */; };
		4F11ABA82553237F00A06098 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 4F11ABA72553237F00A06098 /* Assets.xcassets */; };
		4F11ABAB2553237F00A06098 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 4F11ABA92553237F00A06098 /* LaunchScreen.storyboard */; };
		4F11ABB92553243900A06098 /* EmojiArtViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4F11ABB82553243900A06098 /* EmojiArtViewController.swift */; };
		4F11ABBD2553248D00A06098 /* EmojiArtView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4F11ABBC2553248D00A06098 /* EmojiArtView.swift */; };
		4F11ABC025532EA300A06098 /* Utilities.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4F11ABBF25532EA300A06098 /* Utilities.swift */; };
		4F11ABC325534CE200A06098 /* EmojiArtDocumentTableViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4F11ABC225534CE200A06098 /* EmojiArtDocumentTableViewController.swift */; };
		4F11ABC6255367F000A06098 /* EmojiCollectionViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4F11ABC5255367EF00A06098 /* EmojiCollectionViewCell.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		4F11AB9B2553237C00A06098 /* EmojiArt.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = EmojiArt.app; sourceTree = BUILT_PRODUCTS_DIR; };
		4F11AB9E2553237C00A06098 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		4F11ABA02553237C00A06098 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		4F11ABA52553237C00A06098 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		4F11ABA72553237F00A06098 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		4F11ABAA2553237F00A06098 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		4F11ABAC2553237F00A06098 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		4F11ABB82553243900A06098 /* EmojiArtViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EmojiArtViewController.swift; sourceTree = "<group>"; };
		4F11ABBC2553248D00A06098 /* EmojiArtView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EmojiArtView.swift; sourceTree = "<group>"; };
		4F11ABBF25532EA300A06098 /* Utilities.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Utilities.swift; sourceTree = "<group>"; };
		4F11ABC225534CE200A06098 /* EmojiArtDocumentTableViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EmojiArtDocumentTableViewController.swift; sourceTree = "<group>"; };
		4F11ABC5255367EF00A06098 /* EmojiCollectionViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EmojiCollectionViewCell.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		4F11AB982553237C00A06098 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		4F11AB922553237C00A06098 = {
			isa = PBXGroup;
			children = (
				4F11AB9D2553237C00A06098 /* EmojiArt */,
				4F11AB9C2553237C00A06098 /* Products */,
			);
			sourceTree = "<group>";
		};
		4F11AB9C2553237C00A06098 /* Products */ = {
			isa = PBXGroup;
			children = (
				4F11AB9B2553237C00A06098 /* EmojiArt.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		4F11AB9D2553237C00A06098 /* EmojiArt */ = {
			isa = PBXGroup;
			children = (
				4F11ABA42553237C00A06098 /* Main.storyboard */,
				4F11ABC5255367EF00A06098 /* EmojiCollectionViewCell.swift */,
				4F11ABC225534CE200A06098 /* EmojiArtDocumentTableViewController.swift */,
				4F11ABB82553243900A06098 /* EmojiArtViewController.swift */,
				4F11ABBC2553248D00A06098 /* EmojiArtView.swift */,
				4F11ABB52553239E00A06098 /* Supporting Files */,
				4F11ABAC2553237F00A06098 /* Info.plist */,
				4F11ABBF25532EA300A06098 /* Utilities.swift */,
			);
			path = EmojiArt;
			sourceTree = "<group>";
		};
		4F11ABB52553239E00A06098 /* Supporting Files */ = {
			isa = PBXGroup;
			children = (
				4F11AB9E2553237C00A06098 /* AppDelegate.swift */,
				4F11ABA02553237C00A06098 /* SceneDelegate.swift */,
				4F11ABA72553237F00A06098 /* Assets.xcassets */,
				4F11ABA92553237F00A06098 /* LaunchScreen.storyboard */,
			);
			path = "Supporting Files";
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		4F11AB9A2553237C00A06098 /* EmojiArt */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 4F11ABAF2553237F00A06098 /* Build configuration list for PBXNativeTarget "EmojiArt" */;
			buildPhases = (
				4F11AB972553237C00A06098 /* Sources */,
				4F11AB982553237C00A06098 /* Frameworks */,
				4F11AB992553237C00A06098 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = EmojiArt;
			productName = EmojiArt;
			productReference = 4F11AB9B2553237C00A06098 /* EmojiArt.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		4F11AB932553237C00A06098 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1200;
				LastUpgradeCheck = 1200;
				TargetAttributes = {
					4F11AB9A2553237C00A06098 = {
						CreatedOnToolsVersion = 12.0;
					};
				};
			};
			buildConfigurationList = 4F11AB962553237C00A06098 /* Build configuration list for PBXProject "EmojiArt" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 4F11AB922553237C00A06098;
			productRefGroup = 4F11AB9C2553237C00A06098 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				4F11AB9A2553237C00A06098 /* EmojiArt */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		4F11AB992553237C00A06098 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4F11ABAB2553237F00A06098 /* LaunchScreen.storyboard in Resources */,
				4F11ABA82553237F00A06098 /* Assets.xcassets in Resources */,
				4F11ABA62553237C00A06098 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		4F11AB972553237C00A06098 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4F11ABC6255367F000A06098 /* EmojiCollectionViewCell.swift in Sources */,
				4F11AB9F2553237C00A06098 /* AppDelegate.swift in Sources */,
				4F11ABC325534CE200A06098 /* EmojiArtDocumentTableViewController.swift in Sources */,
				4F11ABB92553243900A06098 /* EmojiArtViewController.swift in Sources */,
				4F11ABA12553237C00A06098 /* SceneDelegate.swift in Sources */,
				4F11ABC025532EA300A06098 /* Utilities.swift in Sources */,
				4F11ABBD2553248D00A06098 /* EmojiArtView.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		4F11ABA42553237C00A06098 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				4F11ABA52553237C00A06098 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		4F11ABA92553237F00A06098 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				4F11ABAA2553237F00A06098 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		4F11ABAD2553237F00A06098 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		4F11ABAE2553237F00A06098 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		4F11ABB02553237F00A06098 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 6D9YK3G6YK;
				INFOPLIST_FILE = EmojiArt/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.Saguara.EmojiArt;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		4F11ABB12553237F00A06098 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 6D9YK3G6YK;
				INFOPLIST_FILE = EmojiArt/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.Saguara.EmojiArt;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		4F11AB962553237C00A06098 /* Build configuration list for PBXProject "EmojiArt" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				4F11ABAD2553237F00A06098 /* Debug */,
				4F11ABAE2553237F00A06098 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		4F11ABAF2553237F00A06098 /* Build configuration list for PBXNativeTarget "EmojiArt" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				4F11ABB02553237F00A06098 /* Debug */,
				4F11ABB12553237F00A06098 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 4F11AB932553237C00A06098 /* Project object */;
}
